# Uses of Class
org.talend.transform.camel.TdmException

## Uses of TdmException in org.talend.transform.camel

Methods in org.talend.transform.camel that throw TdmException
Modifier and Type
Method
Description
`void`
TdmProcessor.`process(org.apache.camel.Exchange exchange)`
Transform the input message of the given `Exchange`.
`void`
TdmProcessor.`start()`
Starts and prepares the map to be executed by this processor.
`void`
TdmProcessor.`stop()`
Stops the processor so that maps can no longer be executed.